Debian DSA-4223-1 : gnupg1 - security update

Medium Nessus Plugin ID 110422

Synopsis

The remote Debian host is missing a security-related update.

Description

Marcus Brinkmann discovered that GnuPG performed insufficient sanitisation of file names displayed in status messages, which could be abused to fake the verification status of a signed email.

Details can be found in the upstream advisory at https://lists.gnupg.org/pipermail/gnupg-announce/2018q2/000425.html

Solution

Upgrade the gnupg1 packages.

For the stable distribution (stretch), this problem has been fixed in version 1.4.21-4+deb9u1.

See Also

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=901088

https://lists.gnupg.org/pipermail/gnupg-announce/2018q2/000425.html

https://security-tracker.debian.org/tracker/source-package/gnupg1

https://packages.debian.org/source/stretch/gnupg1

https://www.debian.org/security/2018/dsa-4223

Plugin Details

Severity: Medium

ID: 110422

File Name: debian_DSA-4223.nasl

Version: 1.8

Type: local

Agent: unix

Published: 2018/06/11

Updated: 2019/05/07

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Temporal Score: 3.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSS v3.0

Base Score: 7.5

Temporal Score: 6.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:gnupg1, cpe:/o:debian:debian_linux:9.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2018/06/08

Reference Information

CVE: CVE-2018-12020

DSA: 4223